This is the multi-page printable view of this section. Click here to print.
ListDataFlowService
1 - 1.2
get /v1/data-flow-services
Description
get dataflow service list console v1.1
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | data_flow_service_name optional | data_flow_service_name Example : | any of [string, null] | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowServicesConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
2 - 1.1
get /v1/data-flow-services
Description
get dataflow service list console v1.1
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | data_flow_service_name optional | data_flow_service_name Example : | any of [string, null] | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowServicesConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
3 - 1.0
get /v1/data-flow-services
Description
get dataflow service list console
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING, STOPPED, STARTING, STOPPING, RESTARTING, TERMINATED, EDITING, DELETING, UNDEPLOYED) | None |
| query | data_flow_service_name optional | data_flow_service_name Example : | any of [string, null] | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowServicesConsoleResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"state": "",
"version": ""
}
],
"total_count": ""
}